Description

IMHO this should be the default, but others may disagree.

When setting a content view for the host this content view could also be used as the installation source for the host.

And the default repo's should be disabled/removed. We use Katello to host our own repo's and may need specific packages. Also

some updates may not have been tested and hosts deployed over time may end up with different package versions.

Currently the host gets deployed through the source specified in "Installation Media" and also updated from the default repo's. When

you then prevent access to internet from thes hosts things break.

Also the default repo's produce conflicts when using subscription manager and katllo agent.

We have done some work on the provisioning template to do this currenlty.

History

#1 - 12/22/2014 09:23 AM - Justin Sherrill

Jorick,

This is actually already a 'feature'.  To do this:

1.  Publish a kickstart tree within the content view

2. When creating a new host, you can select a lifecycle environment and content view.

3. On the operating system tab, select the OS and Arch that matches your kickstart tree

4. Notice that a url appears letting you know its using the content view.

5. Click Save

Now when the host provisions it will use the url pointing to the kickstart tree of the content view.  The one caveat to using this is that ties the host's

puppet environment to the puppet environment of the lifecycle environment/content view.  We are looking to break this up in 2.1.

Let me know if you have any questions.

#2 - 12/22/2014 09:25 AM - Justin Sherrill

- Category set to 83

- Status changed from New to Rejected

- Assignee set to Justin Sherrill

- Triaged changed from No to Yes

I'm going ahead and closing this, let me know if you have any issues with this workflow!  And feel free to reach out to the irc channel or mailing list

with any questions (or just update this issue and re-open).

#3 - 12/22/2014 09:34 AM - Jorick Astrego

Hmm, that is not the way it works in my Katello 2.0 install.

1. Publish a kickstart tree within the content view check

2. When creating a new host, you can select a lifecycle environment and content view. check
3. On the operating system tab, select the OS and Arch that matches your kickstart tree check

4. Notice that a url appears letting you know its using the content view. ?? where does this url appear? When I deploy the machine, it goes to

mirror.centos.org. Also the default CentOS repo's are enabled. Or is this only working for RHEL ?

updating system time

Loaded plugins: fastestmirror

Determining fastest mirrors

base: mirror.oxilion.nl

extras: mirror.oxilion.nl

updates: mirror.oxilion.nl

Resolving Dependencies

--> Running transaction check

Dependencies Resolved

================================================================================

Package              Arch   Version                 Repository            Size

================================================================================

Installing:

subscription-manager x86_64 1.13.12-1.el7.centos    subscription-manager 784 k

Installing for dependencies:

libnl                x86_64 1.1.4-3.el7             base                 128 k

libxml2-python       x86_64 2.9.1-5.el7_0.1         updates              244 k

m2crypto             x86_64 0.21.1-15.el7           base                 428 k

pygobject2           x86_64 2.28.6-11.el7           base                 226 k

python-dateutil      noarch 1.5-7.el7               base                  85 k

python-dmidecode     x86_64 3.10.13-11.el7          base                  82 k

python-ethtool       x86_64 0.8-5.el7               base                  33 k

python-rhsm          x86_64 1.13.8-1.el7.centos     subscription-manager 112 k

usermode             x86_64 1.111-5.el7             base                 193 k

#4 - 12/22/2014 09:57 AM - Justin Sherrill

It should work for centos too.   On the Operating System tab the "media" selection will disappear and just a url will show up.

Its possible something did not get configured correctly.  Can you check:

Under "Infrastructure > Smart Proxies":

There is a Smart Proxy listed with the same name as the katello server (it should also have a "Pulp" feature)

That Smart Proxy is associated with the Default Organization (or whatever organization you are in), and the Default Location (Or whatever

location you are wanting to use).

#5 - 12/22/2014 10:00 AM - Justin Sherrill

Also when creating the new host, make sure you have selected the katello server as the "Content Source" on the very first tab.

#6 - 12/22/2014 10:12 AM - Jorick Astrego

- File Selection_054.png added

- File Selection_053.png added

- File Selection_052.png added

I have everything set like you say, but there is no url. I made the hostname unreadable but it is set to our foreman server (forman + proxy on same

host in test)

Attached some screenshots

#7 - 12/22/2014 03:00 PM - Justin Sherrill

Hrmmm   The only other thing i can think of is that possibly the generated puppet environments are not assigned to the proper organization or

location.  Can you check that under Configure > Environments

#8 - 12/23/2014 06:33 AM - Jorick Astrego

I checked them and they are all assigned to the location and organization. We only have one in test at the moment.

Can I do something else to debug? Firebug or something?

#9 - 04/20/2015 02:12 PM - Nathan Peters
I am experiencing this same issue.

I have followed all instructions here.

All puppet environments are associated with all locations and organizations.  The Katello server is listed as the content source.

The smart proxy is listed with the same name as the Katello server and it has a pulp feature.

The smart proxy is associated with all organizations.

No matter what I do, the installation media stays at the dropdown and says I'm going to be installing off my Fedora 20 Install Media.

However, when I do the install, I can see from looking at the anaconda-ks file generated that it did actually use the content source.  It did not disable

the default CentOS repos though.

#10 - 04/20/2015 06:34 PM - Eric Helms

Are you configuring your host and installation media through a hostgroup or the host directly?

#11 - 07/08/2016 11:31 AM - Eric Helms

- translation missing: en.field_release set to 166
